class PlaylistModel {
  int? id;
  String? label;
  int? startAt;
  int? repeat;
  int? proId;
  int? totalDuration;
  String? colorCode;
  int? playlistId;
  int? days;
  int? hours;
  int? terminalId;

  PlaylistModel(
      {this.id,
      this.label,
      this.startAt,
      this.repeat,
      this.proId,
      this.totalDuration,
      this.colorCode,
      this.playlistId,
      this.days,
      this.hours,
      this.terminalId});

  PlaylistModel.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) this.id = json["id"];
    if (json["label"] is String) this.label = json["label"];
    if (json["startAt"] is int) this.startAt = json["startAt"];
    if (json["repeat"] is int) this.repeat = json["repeat"];
    if (json["proId"] is int) this.proId = json["proId"];
    if (json["totalDuration"] is int)
      this.totalDuration = json["totalDuration"];
    if (json["colorCode"] is String) this.colorCode = json["colorCode"];
    if (json["playlistId"] is int) this.playlistId = json["playlistId"];
    if (json["days"] is int) this.days = json["days"];
    if (json["hours"] is int) this.hours = json["hours"];
    if (json["terminalId"] is int) this.terminalId = json["terminalId"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["label"] = this.label;
    data["startAt"] = this.startAt;
    data["repeat"] = this.repeat;
    data["proId"] = this.proId;
    data["totalDuration"] = this.totalDuration;
    data["colorCode"] = this.colorCode;
    data["playlistId"] = this.playlistId;
    data["days"] = this.days;
    data["hours"] = this.hours;
    data["terminalId"] = this.terminalId;
    return data;
  }
}
