import 'package:flutter/material.dart';

class OOWOOWidgetSettingOptions {
  final Color Function() mainColor;
  final Widget Function({required Widget child, EdgeInsets? padding})
      bottomSheetBuilder;
  final void Function() onLogout;
  final Locale Function() getLocale;

  const OOWOOWidgetSettingOptions({
    required this.mainColor,
    required this.bottomSheetBuilder,
    required this.onLogout,
    required this.getLocale,
  });
}

class OOWOOAuthMobileOptions {
  final double? borderRadius;
  final String? videoBackgroundAsset;
  final Widget Function(BuildContext)? getStartedBuilder;

  final bool enableRegister;

  final String? appName;
  final String? appDescription;

  const OOWOOAuthMobileOptions({
    this.enableRegister = true,
    this.getStartedBuilder,
    this.borderRadius,
    this.videoBackgroundAsset,
    this.appName,
    this.appDescription,
  });
}

class OOWOOAuthOptions {
  final BoxDecoration Function(bool)? buttonDecoration;
  final Widget Function()? imageBannerBuilder;

  const OOWOOAuthOptions({
    this.buttonDecoration,
    this.imageBannerBuilder,
  });
}
