part of 'user_settings_bloc.dart';

class UserSettingsState {
  ProInfo userInfo;
  bool avatarUploading;

  UserSettingsState({this.avatarUploading = false, required this.userInfo});

  factory UserSettingsState.initial() {
    return UserSettingsState(userInfo: appPrefs.loginUser ?? ProInfo());
  }

  UserSettingsState update({bool? avatarUploading, ProInfo? userInfo}) {
    return UserSettingsState(
      avatarUploading: avatarUploading ?? this.avatarUploading,
      userInfo: userInfo ?? this.userInfo,
    );
  }
}
