part of 'user_settings_bloc.dart';

class UserSettingsState {
  UserModel userInfo;
  bool avatarUploading;

  UserSettingsState({this.avatarUploading = false, required this.userInfo});

  factory UserSettingsState.initial() {
    return UserSettingsState(userInfo: appPrefs.loginUser ?? UserModel());
  }

  UserSettingsState update({bool? avatarUploading, UserModel? userInfo}) {
    return UserSettingsState(
      avatarUploading: avatarUploading ?? this.avatarUploading,
      userInfo: userInfo ?? this.userInfo,
    );
  }
}
