import 'package:flutter/material.dart';
import 'package:oowoo_core/oowoo_core.dart';

class WidgetAvatarPlaceHolder extends StatelessWidget {
  const WidgetAvatarPlaceHolder({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Shimmer.fromColors(
      baseColor: OOWOOTheme.of(context).basePlaceholderShimmer1 != null
          ? OOWOOTheme.of(context).basePlaceholderShimmer1!()
          : hexColor('#F4F6F8'),
      highlightColor: OOWOOTheme.of(context).basePlaceholderShimmer1 != null
          ? OOWOOTheme.of(context).basePlaceholderShimmer2!()
          : Colors.white,
      child: Container(
        color: Colors.red,
        width: 999,
        height: 999,
      ),
    );
  }
}
